# coding: utf-8

# flake8: noqa
"""
    LEO Station Keeping API

    This mission allows to estimate the cost of station keeping maneuvers needed  to counter the effects of the atmospheric drag on the semi-major axis of a  spacecraft in low Earth orbit (up to an altitude of 1000 km).   <b>CHANGELOG</b> <ul>   <li><b>1.4.0</b> - 2024-07-08 - Add <b>efficiency</b> to <b>SolarArray</b> schema</li>   <li><b>1.3.0</b> - 2024-07-08 - Replace <b>missionDateTime</b> by <b>initialDate</b> in <b>NumericalLeoStationKeepingRequest</b> schema</li>    <li><b>1.2.0</b> - 2024-07-03 - Add <b>atmosphericModel</b> to <b>DragPerturbation</b> schema</li>   <li><b>1.1.0</b> - 2024-06-27 - Map custom maneuvering strategy</li>   <li><b>1.0.0</b> - 2024-06-07 - First version of the API</li> </ul> 

    The version of the OpenAPI document: 1.4.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


# import models into model package
from leo_station_keeping.models.advanced_orbit_parameters import AdvancedOrbitParameters
from leo_station_keeping.models.along_track_tolerance import AlongTrackTolerance
from leo_station_keeping.models.analytical_leo_station_keeping_request import AnalyticalLeoStationKeepingRequest
from leo_station_keeping.models.analytical_leo_station_keeping_request_drag_perturbation import AnalyticalLeoStationKeepingRequestDragPerturbation
from leo_station_keeping.models.analytical_leo_station_keeping_response import AnalyticalLeoStationKeepingResponse
from leo_station_keeping.models.atmospheric_model import AtmosphericModel
from leo_station_keeping.models.axis import Axis
from leo_station_keeping.models.body_solar_array import BodySolarArray
from leo_station_keeping.models.box_spacecraft_geometry import BoxSpacecraftGeometry
from leo_station_keeping.models.cartesian_ephemerides import CartesianEphemerides
from leo_station_keeping.models.circular_altitude_orbit_parameters import CircularAltitudeOrbitParameters
from leo_station_keeping.models.circular_ground_track_repeated_orbit_parameters import CircularGroundTrackRepeatedOrbitParameters
from leo_station_keeping.models.custom_maneuvering_strategy import CustomManeuveringStrategy
from leo_station_keeping.models.custom_thrust_arcs_position import CustomThrustArcsPosition
from leo_station_keeping.models.deployable_fixed_solar_array import DeployableFixedSolarArray
from leo_station_keeping.models.deployable_rotating_solar_array import DeployableRotatingSolarArray
from leo_station_keeping.models.drag_perturbation import DragPerturbation
from leo_station_keeping.models.duty_cycle_thrust_arc_definition import DutyCycleThrustArcDefinition
from leo_station_keeping.models.earth_potential_perturbation import EarthPotentialPerturbation
from leo_station_keeping.models.elliptical_ground_track_repeated_eccentricity_orbit_parameters import EllipticalGroundTrackRepeatedEccentricityOrbitParameters
from leo_station_keeping.models.elliptical_perigee_alt_apogee_alt_orbit_parameters import EllipticalPerigeeAltApogeeAltOrbitParameters
from leo_station_keeping.models.elliptical_perigee_alt_eccentricity_orbit_parameters import EllipticalPerigeeAltEccentricityOrbitParameters
from leo_station_keeping.models.elliptical_sma_eccentricity_orbit_parameters import EllipticalSmaEccentricityOrbitParameters
from leo_station_keeping.models.harris_priester_atmospheric_model import HarrisPriesterAtmosphericModel
from leo_station_keeping.models.keplerian_ephemerides import KeplerianEphemerides
from leo_station_keeping.models.mean_or_osculating_spacecraft_states import MeanOrOsculatingSpacecraftStates
from leo_station_keeping.models.mean_or_osculating_spacecraft_states_attitude import MeanOrOsculatingSpacecraftStatesAttitude
from leo_station_keeping.models.mean_or_osculating_spacecraft_states_pv_coordinates import MeanOrOsculatingSpacecraftStatesPvCoordinates
from leo_station_keeping.models.nrlmsise00_atmospheric_model import NRLMSISE00AtmosphericModel
from leo_station_keeping.models.numerical_leo_station_keeping_request import NumericalLeoStationKeepingRequest
from leo_station_keeping.models.numerical_leo_station_keeping_request_inputs import NumericalLeoStationKeepingRequestInputs
from leo_station_keeping.models.numerical_leo_station_keeping_request_outputs import NumericalLeoStationKeepingRequestOutputs
from leo_station_keeping.models.numerical_leo_station_keeping_request_outputs_orbital_ephemerides import NumericalLeoStationKeepingRequestOutputsOrbitalEphemerides
from leo_station_keeping.models.numerical_leo_station_keeping_request_outputs_spacecraft_states import NumericalLeoStationKeepingRequestOutputsSpacecraftStates
from leo_station_keeping.models.numerical_leo_station_keeping_request_outputs_thrust_ephemerides import NumericalLeoStationKeepingRequestOutputsThrustEphemerides
from leo_station_keeping.models.numerical_leo_station_keeping_response import NumericalLeoStationKeepingResponse
from leo_station_keeping.models.numerical_leo_station_keeping_response_field_indexes_inner import NumericalLeoStationKeepingResponseFieldIndexesInner
from leo_station_keeping.models.numerical_leo_station_keeping_response_orbital_ephemerides import NumericalLeoStationKeepingResponseOrbitalEphemerides
from leo_station_keeping.models.numerical_leo_station_keeping_response_orbital_ephemerides_mean import NumericalLeoStationKeepingResponseOrbitalEphemeridesMean
from leo_station_keeping.models.numerical_leo_station_keeping_response_orbital_ephemerides_osculating import NumericalLeoStationKeepingResponseOrbitalEphemeridesOsculating
from leo_station_keeping.models.numerical_leo_station_keeping_response_results import NumericalLeoStationKeepingResponseResults
from leo_station_keeping.models.numerical_leo_station_keeping_response_spacecraft_states import NumericalLeoStationKeepingResponseSpacecraftStates
from leo_station_keeping.models.numerical_leo_station_keeping_response_spacecraft_states_thrusting_inner import NumericalLeoStationKeepingResponseSpacecraftStatesThrustingInner
from leo_station_keeping.models.numerical_leo_station_keeping_response_thrust_ephemerides import NumericalLeoStationKeepingResponseThrustEphemerides
from leo_station_keeping.models.orbit import Orbit
from leo_station_keeping.models.orbit_parameters import OrbitParameters
from leo_station_keeping.models.perturbation import Perturbation
from leo_station_keeping.models.platform import Platform
from leo_station_keeping.models.propulsion_system import PropulsionSystem
from leo_station_keeping.models.sma_tolerance import SmaTolerance
from leo_station_keeping.models.solar_array import SolarArray
from leo_station_keeping.models.solar_array_face import SolarArrayFace
from leo_station_keeping.models.spacecraft_geometry import SpacecraftGeometry
from leo_station_keeping.models.spacecraft_geometry_dimension import SpacecraftGeometryDimension
from leo_station_keeping.models.spherical_spacecraft_geometry import SphericalSpacecraftGeometry
from leo_station_keeping.models.srp_perturbation import SrpPerturbation
from leo_station_keeping.models.third_body_perturbation import ThirdBodyPerturbation
from leo_station_keeping.models.thrust_arc_definition import ThrustArcDefinition
from leo_station_keeping.models.thrust_arcs_position import ThrustArcsPosition
from leo_station_keeping.models.thrust_duration_thrust_arc_definition import ThrustDurationThrustArcDefinition
from leo_station_keeping.models.tolerance import Tolerance
