# coding: utf-8

"""
    LEO Station Keeping API

    This mission allows to estimate the cost of station keeping maneuvers needed  to counter the effects of the atmospheric drag on the semi-major axis of a  spacecraft in low Earth orbit (up to an altitude of 1000 km).   <b>CHANGELOG</b> <ul>   <li><b>1.4.0</b> - 2024-07-08 - Add <b>efficiency</b> to <b>SolarArray</b> schema</li>   <li><b>1.3.0</b> - 2024-07-08 - Replace <b>missionDateTime</b> by <b>initialDate</b> in <b>NumericalLeoStationKeepingRequest</b> schema</li>    <li><b>1.2.0</b> - 2024-07-03 - Add <b>atmosphericModel</b> to <b>DragPerturbation</b> schema</li>   <li><b>1.1.0</b> - 2024-06-27 - Map custom maneuvering strategy</li>   <li><b>1.0.0</b> - 2024-06-07 - First version of the API</li> </ul> 

    The version of the OpenAPI document: 1.4.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import json
from enum import Enum
from typing_extensions import Self


class SolarArrayFace(str, Enum):
    """
    SolarArrayFace
    """

    """
    allowed enum values
    """
    PLUS_X = 'PLUS_X'
    MINUS_X = 'MINUS_X'
    PLUS_Y = 'PLUS_Y'
    MINUS_Y = 'MINUS_Y'
    PLUS_Z = 'PLUS_Z'
    MINUS_Z = 'MINUS_Z'

    @classmethod
    def from_json(cls, json_str: str) -> Self:
        """Create an instance of SolarArrayFace from a JSON string"""
        return cls(json.loads(json_str))


