# coding: utf-8

"""
    LEO Station Keeping API

    This mission allows to estimate the cost of station keeping maneuvers needed  to counter the effects of the atmospheric drag on the semi-major axis of a  spacecraft in low Earth orbit (up to an altitude of 1000 km).   <b>CHANGELOG</b> <ul>   <li><b>1.4.0</b> - 2024-07-08 - Add <b>efficiency</b> to <b>SolarArray</b> schema</li>   <li><b>1.3.0</b> - 2024-07-08 - Replace <b>missionDateTime</b> by <b>initialDate</b> in <b>NumericalLeoStationKeepingRequest</b> schema</li>    <li><b>1.2.0</b> - 2024-07-03 - Add <b>atmosphericModel</b> to <b>DragPerturbation</b> schema</li>   <li><b>1.1.0</b> - 2024-06-27 - Map custom maneuvering strategy</li>   <li><b>1.0.0</b> - 2024-06-07 - First version of the API</li> </ul> 

    The version of the OpenAPI document: 1.4.0
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import json
from enum import Enum
from typing_extensions import Self


class ThrustArcsPosition(str, Enum):
    """
    The thrust arcs position can be chosen from a number of predefined positions  which depend on the number of arcs and on the orbital elements modified during  the mission.  When the eccentricity is not controlled, the \"Custom\" option makes it possible  to place the burn arcs anywhere on the orbit. 
    """

    """
    allowed enum values
    """
    ASCENDING_AND_DESCENDING_NODES = 'ASCENDING_AND_DESCENDING_NODES'
    ASCENDING_NODE = 'ASCENDING_NODE'
    DESCENDING_NODE = 'DESCENDING_NODE'
    CUSTOM = 'CUSTOM'
    APOGEE_AND_PERIGEE = 'APOGEE_AND_PERIGEE'
    APOGEE = 'APOGEE'
    PERIGEE = 'PERIGEE'
    ASCENDING_AND_DESCENDING_ANTINODES = 'ASCENDING_AND_DESCENDING_ANTINODES'
    ASCENDING_ANTINODE = 'ASCENDING_ANTINODE'
    DESCENDING_ANTINODE = 'DESCENDING_ANTINODE'
    MEAN_LONGITUDE = 'MEAN_LONGITUDE'

    @classmethod
    def from_json(cls, json_str: str) -> Self:
        """Create an instance of ThrustArcsPosition from a JSON string"""
        return cls(json.loads(json_str))


